OpenMesh::Subdivider::Adaptive::FV< M > Class Template Reference

Composite rule FV. More...

`#include <OpenMesh/Tools/Subdivider/Adaptive/Composite/RulesT.hh>`

Inheritance diagram for OpenMesh::Subdivider::Adaptive::FV< M >:
[legend]
Collaboration diagram for OpenMesh::Subdivider::Adaptive::FV< M >:
[legend]

## Public Types

typedef FV< M > | Self
typedef RuleHandleT< Self > | Handle
typedef RuleInterfaceT< M > | Inherited
Public Types inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
typedef M | Mesh
typedef RuleInterfaceT< M > | Self
typedef RuleHandleT< Self > | Rule
typedef M::Scalar | scalar_t

## Public Member Functions

const char * | type () const
| Returns the name of the rule. More...
| FV (M &_mesh)
void | raise (typename M::VertexHandle &_vh, state_t _target_state)
| Raise item to target state `_target_state`.
Public Member Functions inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
virtual | ~RuleInterfaceT ()
| Destructor.
void | update (typename M::FaceHandle &_fh, state_t _target_state)
void | update (typename M::EdgeHandle &_eh, state_t _target_state)
void | update (typename M::VertexHandle &_vh, state_t _target_state)
int | subdiv_type () const
| Type of split operation, if it is a topological operator.
int | number () const
| Position in rule sequence.
virtual void | raise (typename M::FaceHandle &_fh, state_t _target_state)
| Raise item to target state `_target_state`.
virtual void | raise (typename M::EdgeHandle &_eh, state_t _target_state)
| Raise item to target state `_target_state`.
virtual void | set_coeff (scalar_t _coeff)
| Set coefficient - ignored by non-parameterized rules.
scalar_t | coeff () const
| Get coefficient - ignored by non-parameterized rules.

## Friends

class | CompositeT< M >

## Additional Inherited Members

Protected Member Functions inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
| RuleInterfaceT (Mesh &_mesh)
| Default constructor.
void | set_prev_rule (Self *&_p)
Self * | prev_rule ()
void | set_subdiv_rule (Self *&_n)
Self * | subdiv_rule ()
void | set_number (int _n)
void | set_n_rules (int _n)
int | n_rules ()
void | set_subdiv_type (int _n)
Protected Attributes inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
Mesh & | mesh_

## Detailed Description

### template<class M>
class OpenMesh::Subdivider::Adaptive::FV< M >

Composite rule FV.

## Member Function Documentation

## type()

template<class M >

const char* OpenMesh::Subdivider::Adaptive::FV< M >::type | ( |  | ) | const

inlinevirtual

Returns the name of the rule.

Use define COMPOSITE_RULE to overload this function in a derived class.

Implements OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >.

The documentation for this class was generated from the following file:

- OpenMesh/Tools/Subdivider/Adaptive/Composite/RulesT.hh